[
{
    blockid=sys;
    help=service_smtp_sys_sys;
    custom="com.netscape.management.msgserv.ServiceIMAPServiceControl";
    localvar={
	/* translate this block */
	.defdomain.text="\uc8fc\uc18c \uc785\ub825 \ub3c4\uba54\uc778:";
	.localdomain.help="\ud574\ub2f9 \uc11c\ubc84\uc5d0\uc11c \ub2e8\ub3c5\uc73c\ub85c \ucc98\ub9ac\ud55c \ub3c4\uba54\uc778 \ubaa9\ub85d";
	.localdomain.header="\ub85c\uceec \ub3c4\uba54\uc778";
	.hostoncmd.text="\ud074\ub77c\uc774\uc5b8\ud2b8 \uc2dc\uc2a4\ud15c \uc774\ub984 \uc870\ud68c";
	.plaintext.text="\uc554\ud638 \ub85c\uadf8\uc778 \ud5c8\uc6a9";
	.mincipher.text="\uc554\ud638 \ubcf4\uc548 \ucc98\ub9ac\ub97c \uc704\ud55c \ucd5c\ub300 \uc554\ud638 \uae38\uc774";
	.unix.border=[titled,"UNIX \uc804\ub2ec"];
	.unix.help="\"UNIX \uc804\ub2ec\" \uc635\uc158\uc744 \uc124\uc815\ud55c \uc0ac\uc6a9\uc790\uc758 \uacbd\uc6b0, \uc544\ub798 \uc9c0\uc815\ub41c \ud504\ub85c\uadf8\ub7a8\uc744 \uc0ac\uc6a9\ud558\uc5ec \uc0ac\uc6a9\uc790\uc758 \ub85c\uceec \uc6b0\ud3b8 \ud30c\uc77c\uc5d0 \uba54\uc2dc\uc9c0\ub97c \uc800\uc7a5\ud560 \uc218 \uc788\uc2b5\ub2c8\ub2e4.";
	.program.border=[titled,"\ud504\ub85c\uadf8\ub7a8 \uc804\ub2ec"];
	.program.help="\ubcf4\uc548\uc0c1\uc758 \uc774\uc720\ub85c \"root\"\uc5d0\uc11c \ud504\ub85c\uadf8\ub7a8\uc744 \uc2e4\ud589\ud558\uc9c0 \ub9c8\uc2ed\uc2dc\uc624. \ub8e8\ud2b8 \uacc4\uc815\uc5d0\uc11c \ud504\ub85c\uadf8\ub7a8 \uc804\ub2ec\uc744 \uc0ac\uc6a9\ud558\ub824\uba74 \ub8e8\ud2b8\uc5d0 \ub300\ud574 \uc548\uc804\ud55c ID\ub97c \uc9c0\uc815\ud574\uc57c \ud569\ub2c8\ub2e4.";
	.unixdeliver.text="\ub85c\uceec \uc6b0\ud3b8 \uc804\ub2ec \ud504\ub85c\uadf8\ub7a8:";
	.defuid.text="\ud504\ub85c\uadf8\ub7a8 \uc2e4\ud589\uc744 \uc704\ud55c \uc548\uc804\ud55c \uc0ac\uc6a9\uc790 ID:";
	.defgid.text="\ud504\ub85c\uadf8\ub7a8 \uc2e4\ud589\uc744 \uc704\ud55c \uc548\uc804\ud55c \uadf8\ub8f9 ID:";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    id=defdomainlabel;
	    text=$.defdomain.text;
	    wrap=$g.label.size1;
	    constraint={
		gridx=0;
		gridy=0;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=defdomainlabel;
	    val=$service.defaultdomain.value;
	    constraint={
		gridx=1;
		gridy=0;
		weightx=9;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=localdomainlabel;
	    text=$.localdomain.help;
	    wrap=$g.label.size4;
	    constraint={
		gridx=0;
		gridy=1;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    id=stdtable;
	    label=localdomainlabel;
	    stdtable=true;
	    addui=domaindialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.localdomain.header;
	    editui=domaindialog;
	    edittitle=$.localdomain.header;
	    val=$service.smtp.smtp-router.localmaildomains.value;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
		gridx=0;
		gridy=2;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.localdomain.header;
		    varname=domainname;
		}
	    ]
	},
	{
	    ctrl=togglepane;
	    text=$.plaintext.text;
	    id=plaintexttoggle;
	    constraint={
		gridx=0;
		gridy=3;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    id=mincipherlabel;
		    text=$.mincipher.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=0;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=choice;
		    id=mincipher;
		    label=mincipherlabel;
		    items=[0,40,128];
		    val=$plaintextmincipher.value;
		    constraint={
			gridx=1;
			gridy=0;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.unix.border;
	    constraint={
		gridx=0;
		gridy=4;
		gridwidth=2;
		weightx=1;
		fill=h;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.unix.help;
		    wrap=$g.label.size4;
		    constraint={
			gridx=0;
			gridy=0;
			gridwidth=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    text=$.unixdeliver.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    val=$service.smtp.unix-deliver.maildeliveryprogram.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			fill=h;
			insets=$g.insets.comp;
		    }
		}
	    ]
	},
	{
	    ctrl=pane;
	    border=$.program.border;
	    constraint={
		gridx=0;
		gridy=5;
		gridwidth=2;
		weightx=1;
		weighty=1;
		fill=h;
		anchor=northwest;
		insets=$g.insets.comp;
	    }
	    layout=[gridbag];
	    content=[
		{
		    ctrl=label;
		    text=$.program.help;
		    wrap=$g.label.size4;
		    constraint={
			gridx=0;
			gridy=0;
			gridwidth=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=defuidlabel;
		    text=$.defuid.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=1;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=defuidlabel;
		    val=$service.smtp.prog-deliver.defaultuid.value;
		    constraint={
			gridx=1;
			gridy=1;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=label;
		    id=defgidlabel;
		    text=$.defgid.text;
		    wrap=$g.label.size2;
		    constraint={
			gridx=0;
			gridy=2;
			weightx=1;
			fill=h;
			insets=$g.insets.comp;
		    }
		},
		{
		    ctrl=text;
		    label=defgidlabel;
		    val=$service.smtp.prog-deliver.defaultgid.value;
		    constraint={
			gridx=1;
			gridy=2;
			weightx=9;
			anchor=west;
			insets=$g.insets.comp;
		    }
		}
	    ]
	}
    ]
},
{
    blockid=domaindialog;
    help=service_smtp_sys_domaindialog;
    localvar={
	.name.text="\ud574\ub2f9 \uc11c\ubc84\uc5d0\uc11c \ub2e8\ub3c5\uc73c\ub85c \ucc98\ub9ac\ud55c \ub3c4\uba54\uc778:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.name.text;
	    wrap=$g.label.size3;
	    aligny=0.5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    val=$domainname;
	    aligny=0.5;
	    focus=true;
	    validate=com.netscape.management.msgserv.util.ValidDomain;
	}
    ]
}
]
